package asd.td2;

import asd.base.*;

/**
 * Une classe pour l'exercice 4 de la feuille 2.
 *  2002 Marc Gatano
 */
public class PairesSuite {

    private Suite s;        // une suite strictement croissante d'entiers
    private FileStatique f; // la file

    /**
     * Construit un objet PairesSuite.
     * Prcondition : suite est une suite strictement croissante d'entiers.
     */
    public PairesSuite(Suite suite) {
	s = suite;
    }

    // affiche la paire d'entier (x,y)
    //
    private void afficher(int x, int y) {
	System.out.println("(" + x + ", " + y + ")");
    }
    
    /**
     * Affiche toutes les paires d'entier x et y de la suite, tels que
     * x + n = y.
     * Precondition : la suite est strictement croissante et n > 0.
     * Complexite : O(n) ou n est le nombre d'elements de la suite.
     */
    public void afficherLesPaires(int n) {
    }

    // pour se simplifier la vie

    private void ajouter(int n) {
        f.ajouter(new Integer(n));
    }

    private void retirer() {
        f.retirer();
    }

    private int suivant() {
        return ((Integer) f.suivant()).intValue();
    }

    private boolean vide() {
        return f.vide();
    }
}
